package com.crm.pay.dto.finance.withdraw.automatic;

import com.alibaba.fastjson.annotation.JSONField;
import lombok.Data;

import java.math.BigDecimal;
import java.util.HashMap;
import java.util.LinkedHashMap;
import java.util.Map;

@Data
public class FinanceWithdrawXfgPayDto extends FinanceWithdrawDto {

    private Map<String, String> params;
    private Map<String, String> paramsEn;

    @JSONField(ordinal = 1)
    private String type;
    @JSONField(ordinal = 10)
    private String account;
    @JSONField(ordinal = 20)
    private String name;
    @JSONField(ordinal = 30)
    private BigDecimal money;
    @JSONField(ordinal = 40)
    private String remark;

    private Map<String, String> typeSelect;

    public FinanceWithdrawXfgPayDto() {
        params = new LinkedHashMap<>();
        paramsEn = new LinkedHashMap<>();

        params.put("type", "转账方式");
        params.put("account", "收款方账号");
        params.put("name", "收款人姓名");
        params.put("money", "金额");
        params.put("remark", "备注");

        paramsEn.put("amount", "amount");
        paramsEn.put("type", "type");
        paramsEn.put("account", "account");
        paramsEn.put("name", "name");
        paramsEn.put("money", "money");
        paramsEn.put("remark", "remark");

        typeSelect = new HashMap<>(4);
        typeSelect.put("alipay", "alipay");
        typeSelect.put("wxpay", "wxpay");
        typeSelect.put("qqpay", "qqpay");
        typeSelect.put("bank", "bank");
    }

}
